GETGMR(1)

NAME
getgmr - Restore an RLE image to a Grinnell GMR-27 frame buffer.

SYNOPSIS
getgmr [ -q ] [ -d ] [ -{BO} ] [ -{pP} x y ] [ -c channel [ into ] ] [ infile ]

DESCRIPTION
Displays an RLE(5) file on a Grinnell GMR-27 frame buffer.

-q  Query the given file. Determine if it is an RLE(5) file. Does not affect the frame buffer.

-D  Debug the given file. Print information about each command in the input file. Displays as it prints.

-B  If the file was saved with -B or -O, restore the background color before restoring the image data.

-O  If the file was saved with -B or -O, restore the image data in overlay mode. Only areas of the original image which were not the background color are restored. The rest of the image already in the frame buffer is undisturbed.

-p x y
    Reposition the image. The original lower left corner is positioned at [x, y] before restoring the image. A warning: A saved image should not be repositioned so that any saved data wraps around the X borders. If the file was not saved with -B or -O, this includes background areas.

-P x y
    Reposition the image incrementally, that is, x and y are taken as offsets from the original position of the image.

-c channel [ into ]
    Put only the given color channel into the frame buffer. If into is specified, loads it into that channel. If the input file is black and white (one channel), then -c channel is equivalent to -c 0 channel.

infile
    Name of file to display. If not specified, input is read from stdin.

SEE ALSO
RLE(5).

AUTHOR
Spencer W. Thomas, Todd Fuqua

BUGS
Seems to interact poorly with Grinnell hardware bugs at times.